> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Auto Sweep

> Set auto sweep for a given entity.



## OpenAPI

````yaml POST  /v1/entities/{entity_id}/futures/auto_sweep
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/entities/{entity_id}/futures/auto_sweep:
    post:
      tags:
        - Futures
      summary: Set Auto Sweep
      description: Set auto sweep for a given entity.
      operationId: PrimeRESTAPI_SetAutoSweep
      parameters:
        - name: entity_id
          in: path
          description: Entity ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              required:
                - auto_sweep
              type: object
              properties:
                auto_sweep:
                  type: boolean
                  description: Auto sweep status, default to false
                  example: true
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.SetAutoSweepResponse
components:
  schemas:
    coinbase.public_rest_api.SetAutoSweepResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Success
          example: true

````